import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 900;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 30;
const mouthWidth = 20;
const mouthRadius = 140;

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth/2)
	.startAngle(Math.PI/1.5)
	.endAngle(Math.PI*3/2.5);
  

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="pink"
        stroke="black"
        stroke-width={strokeWidth/2}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius+9}
      	fill="green"
      	stroke-width="5"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius+9}
      	fill="green"
      	stroke-width="5"
      />
      
    <ellipse
        rx={eyeRadius}
        ry={eyeRadius/2+9}
        fill = "black"
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "green"
        stroke-width = '5'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "green"
        stroke-width = '5'
      />
      
      
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "green"
            stroke-width = '5'
      />
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "green"
        stroke-width = '5'
      />
     <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "black"
        stroke-width = '15'
      /> 
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);